rope python-emacs problem

rustom rustompmody at gmail.com
Thu Oct 16 08:53:54 CEST 2008


nullius.fil... at gmail.com wrote:
> On Oct 15, 7:19�pm, "Rustom Mody" <rustompm... at gmail.com> wrote:
> > Ive been trying to useropefor python in emacs and I get
> > a backtrace which starts with
> > AttributeError: 'module' object has no attribute 'samefile'
> >
> > Any ideas?
>
> I searched for a variable 'samefile' in ropemacs and its
> associated packages.  I couldn't find one. That is not
> to say there wasn't one because ropemacs is in flux more
> than most packages with frequent rewrites.

Two points here.
1. googling around suggests that this kind of error ('samefile'...) is
often related to circular imports in python.
2. I passed this on to the rope mailing list and the author -- Ali
Gholami Rudi -- has corrected the problem

>
> May I can suggest to start again and use the most recent
> packages- Pymacs-0.24beta1, rope-0.9, and ropemacs-0.6.
> I installed these about a week ago when I installed
> Python 2.6, and it was painless (Windows OS and Emacs 22).

I am running python 2.5 rope 0.9 pymacs 0.23.
Do you expect the instability to come out of these versions
(mis)matches?



More information about the Python-list mailing list